package com.zd.exam.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * 文件类型 1 文档,2 视频,3 图片,4 音频
 * 默认 0 未知
 */
public class FileType {

    public enum file {
        txt,doc,wps,docx,xls,xlsx,pdf,ppt,pptx
    }

    public enum video {
        wmv,avi,dat,asf,mpeg,mpg,rm,rmvb,ram,flv,mp4,mov,divx,dv,vob,mkv,qt,cpk,fli,flc,f4v,m4v,mod,m2t,swf,webm,mts,m2ts,
    }

    public enum pic {
        bmp,jpg,png,tif,gif,pcx,tga,exif,fpx,svg,psd,cdr,pcd,dxf,ufo,eps,ai,raw,WMF,webp,avif,apng
    }

    public enum audio {
        mp3,m4a,aac,ape,flac,wav,wma,amr,mid
    }

    public static int getTypeByFile(String postfix){
        if(StringUtils.isBlank(postfix)){
            return 0;
        }

        for (file value : file.values()) {
            if((value+"").toLowerCase().equals(postfix.toLowerCase())){
                return 1;
            }
        }

        for (video value : video.values()) {
            if((value+"").toLowerCase().equals(postfix.toLowerCase())){
                return 2;
            }
        }

        for (pic value : pic.values()) {
            if((value+"").toLowerCase().equals(postfix.toLowerCase())){
                return 3;
            }
        }

        for (audio value : audio.values()) {
            if((value+"").toLowerCase().equals(postfix.toLowerCase())){
                return 4;
            }
        }
        return 0;
    }

}
